Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util.property
Class DefaultPropertyReader

    java.lang.Object
      org.jboss.util.property.FilePropertyReader
          org.jboss.util.property.DefaultPropertyReader

All Implemented Interfaces:
  PropertyReader

public final class DefaultPropertyReader
extends FilePropertyReader

Reads properties from files specified via a system property.

Unless otherwise specified, propertie filenames will be read from the `org.jboss.properties` singleton or array property.

Version:
  `$Revision: 1.3 $`
Author:
  Jason Dillon

Field Summary
`static String` | `DEFAULT_PROPERTY_NAME` Default property name to read filenames from

Fields inherited from class org.jboss.util.property.FilePropertyReader
`filenames`

Constructor Summary
`DefaultPropertyReader()` Construct a `DefaultPropertyReader`.
`DefaultPropertyReader(String propertyName)` Construct a `DefaultPropertyReader` with a specified property name.

Method Summary
`static String[]` | `getFilenames(String propertyName)` Get an array of filenames to load.

Methods inherited from class org.jboss.util.property.FilePropertyReader
`getInputStream, loadProperties, readProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PROPERTY_NAME

    public static final String DEFAULT_PROPERTY_NAME

  Default property name to read filenames from

  See Also:
    Constant Field Values

Constructor Detail

### DefaultPropertyReader

    public DefaultPropertyReader(String propertyName)

  Construct a `DefaultPropertyReader` with a specified property name.

### DefaultPropertyReader

    public DefaultPropertyReader()

  Construct a `DefaultPropertyReader`.

Method Detail

### getFilenames

    public static String[] getFilenames(String propertyName)
                                 throws PropertyException

  Get an array of filenames to load.

  Parameters:
    `propertyName` - Property to read filenames from.
  Returns:
    Array of filenames.
  Throws:
    `PropertyException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.